import { Interceptor } from "..";
import { HtkConfig } from '../../config';
import { FridaHost, FridaTarget } from './frida-integration';
export declare class FridaAndroidInterceptor implements Interceptor {
    private config;
    id: string;
    version: string;
    private adbClient;
    constructor(config: HtkConfig);
    getFridaHosts: () => Promise<Record<string, FridaHost>>;
    isActivable(): Promise<boolean>;
    isActive(): boolean;
    getMetadata(): Promise<{
        hosts: Record<string, FridaHost>;
    }>;
    getSubMetadata(hostId: string): Promise<{
        targets: Array<FridaTarget>;
    }>;
    private fridaServers;
    private interceptedApps;
    activate(proxyPort: number, options: {
        action: 'setup';
        hostId: string;
    } | {
        action: 'launch';
        hostId: string;
    } | {
        action: 'intercept';
        hostId: string;
        targetId: string;
        enableSocks?: boolean;
    }): Promise<void>;
    deactivate(proxyPort: number): Promise<void | {}>;
    deactivateAll(): Promise<void | {}>;
}
